## masakari 10.0.3

=== debian/changelog ===
masakari (10.0.3-1~bpo10+1) UNRELEASED; urgency=medium

  [ Michal Arbet ]
  * New upstream version

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@buster-victoria.infomaniak.ch>  Mon, 06 Sep 2021 14:57:53 +0000

masakari (10.0.0-2) unstable; urgency=medium

  * Tune masakari-api-uwsgi.ini for performance.
  * Remove $(CURDIR)/debian/tmp/usr/etc (Closes: #988712).

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Mar 2021 13:43:16 +0100

masakari (10.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #985081).

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Mar 2021 18:56:25 +0100

=== debian/control ===
Source: masakari
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Build-Depends-Indep:
 python3-coverage,
 python3-ddt,
 python3-hacking,
 python3-iso8601,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-microversion-parse,
 python3-mock,
 python3-novaclient,
 python3-openstacksdk (>= 0.35.0),
 python3-os-api-ref,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db (>= 4.44.0),
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-oslotest,
 python3-pbr,
 python3-psycopg2 (>= 2.8),
 python3-pymysql,
 python3-requests-mock,
 python3-sqlalchemy (>= 1.2.19),
 python3-sqlalchemy-utils (>= 0.33.10),
 python3-stestr,
 python3-stevedore,
 python3-taskflow,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-webob,
 subunit,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/masakari
Vcs-Git: https://salsa.debian.org/openstack-team/services/masakari.git
Homepage: https://opendev.org/openstack/masakari

Package: masakari-api
Architecture: all
Depends:
 adduser,
 masakari-common (= ${binary:Version}),
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Virtual Machine High Availability (VMHA) - API Server
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides API service for
 manage and control the automated rescue mechanism.
 .
 This package contains the Masakari API Server.

Package: masakari-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-masakari (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Virtual Machine High Availability (VMHA) - common files
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides API service for
 manage and control the automated rescue mechanism.
 .
 This package contains common files for Masakari.

Package: masakari-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Virtual Machine High Availability (VMHA) - doc
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides API service for
 manage and control the automated rescue mechanism.
 .
 This package contains the documentation.

Package: masakari-engine
Architecture: all
Depends:
 adduser,
 masakari-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Virtual Machine High Availability (VMHA) - API Server
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides API service for
 manage and control the automated rescue mechanism.
 .
 This package contains the Masakari API Server.

Package: python3-masakari
Architecture: all
Section: python
Depends:
 python3-iso8601,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-microversion-parse,
 python3-novaclient,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db (>= 4.44.0),
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-pbr,
 python3-sqlalchemy (>= 1.2.19),
 python3-sqlalchemy-utils (>= 0.33.10),
 python3-stevedore,
 python3-taskflow,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Virtual Machine High Availability (VMHA) - Python files
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides API service for
 manage and control the automated rescue mechanism.
 .
 This package contains the Python files and libraries.

## masakari 11.0.0

=== debian/changelog ===
masakari (11.0.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 14 Apr 2021 15:18:40 +0000

masakari (11.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 14 Apr 2021 14:46:11 +0000

masakari (11.0.0~rc1-0ubuntu1) hirsute; urgency=medium

  * d/watch: Scope to 11.x series
  * New upstream release candidate for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 02 Apr 2021 09:26:14 +0000

masakari (10.0.0+git2021012507.67f9212-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 25 Jan 2021 08:06:20 +0000

masakari (10.0.0+git2020120911.329b9fe-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 09 Dec 2020 12:00:02 -0500

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/masakari/ masakari-(11\.\d.*)\.tar\.gz

## masakari 11.0.3

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0  # BSD

# releasenotes
reno>=3.1.0 # Apache-2.0

=== debian/changelog ===
masakari (11.0.3-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream point release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-wallaby.debian.net>  Mon, 28 Jul 2025 08:54:21 +0000

masakari (11.0.1-1) unstable; urgency=medium

  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 20 Aug 2021 11:49:24 +0200

masakari (11.0.0-3) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 18:48:03 +0200

masakari (11.0.0-2) experimental; urgency=medium

  * Remove $(CURDIR)/debian/tmp/usr/etc (Closes: #988712).

 -- Thomas Goirand <zigo@debian.org>  Tue, 18 May 2021 17:04:24 +0200

masakari (11.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Apr 2021 23:22:02 +0200

masakari (11.0.0~rc1-1) experimental; urgency=medium

  * Tune masakari-api-uwsgi.ini for performance.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed (build-)depends versions when satisfied in Bullseye.

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Apr 2021 14:57:58 +0200

=== debian/control ===
--- 
+++ 
@@ -25,27 +25,27 @@
  python3-microversion-parse,
  python3-mock,
  python3-novaclient,
- python3-openstacksdk (>= 0.35.0),
+ python3-openstacksdk,
  python3-os-api-ref,
  python3-oslo.config,
  python3-oslo.context,
- python3-oslo.db (>= 4.44.0),
+ python3-oslo.db,
  python3-oslo.i18n,
  python3-oslo.log,
  python3-oslo.messaging,
  python3-oslo.middleware,
- python3-oslo.policy (>= 1.30.0),
+ python3-oslo.policy (>= 3.6.0),
  python3-oslo.service,
- python3-oslo.upgradecheck,
+ python3-oslo.upgradecheck (>= 1.3.0),
  python3-oslo.utils,
  python3-oslo.versionedobjects,
  python3-oslotest,
  python3-pbr,
- python3-psycopg2 (>= 2.8),
+ python3-psycopg2,
  python3-pymysql,
  python3-requests-mock,
- python3-sqlalchemy (>= 1.2.19),
- python3-sqlalchemy-utils (>= 0.33.10),
+ python3-sqlalchemy,
+ python3-sqlalchemy-utils,
  python3-stestr,
  python3-stevedore,
  python3-taskflow,
@@ -142,19 +142,19 @@
  python3-novaclient,
  python3-oslo.config,
  python3-oslo.context,
- python3-oslo.db (>= 4.44.0),
+ python3-oslo.db,
  python3-oslo.i18n,
  python3-oslo.log,
  python3-oslo.messaging,
  python3-oslo.middleware,
- python3-oslo.policy (>= 1.30.0),
+ python3-oslo.policy (>= 3.6.0),
  python3-oslo.service,
- python3-oslo.upgradecheck,
+ python3-oslo.upgradecheck (>= 1.3.0),
  python3-oslo.utils,
  python3-oslo.versionedobjects,
  python3-pbr,
- python3-sqlalchemy (>= 1.2.19),
- python3-sqlalchemy-utils (>= 0.33.10),
+ python3-sqlalchemy,
+ python3-sqlalchemy-utils,
  python3-stevedore,
  python3-taskflow,
  python3-webob,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -f debian/*.init debian/*.service debian/*.upstart
	rm -rf build
	rm -rf masakari.sqlite
	rm -f debian/masakari-api.postinst debian/masakari-api.config debian/masakari-common.postinst debian/masakari-common.config debian/masakari-common.postrm

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func masakari-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func masakari-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func masakari-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func masakari-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm masakari-common.postrm
	pkgos-merge-templates masakari-api masakari endpoint
	pkgos-merge-templates masakari-common masakari db rabbit ksat

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --root=debian/tmp --install-layout=deb ; \
	done

	rm -rf $(CURDIR)/debian/tmp/usr/etc

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'masakari\.tests\.unit.*'
endif

	# Generate the masakari.conf config
	mkdir -p $(CURDIR)/debian/masakari-common/usr/share/masakari-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/masakari-common/usr/share/masakari-common/masakari.conf \
		--wrap-width 140 \
		--namespace keystonemiddleware.auth_token
		--namespace masakari.conf \
		--namespace oslo.db \
		--namespace oslo.db.concurrency \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware \
		--namespace oslo.policy \
		--namespace oslo.service.service \
		--namespace oslo.service.wsgi \
		--namespace oslo.versionedobjects
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/masakari-common/usr/share/masakari-common/masakari.conf keystone_authtoken masakari

	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/masakari-common/usr/share/masakari-common/masakari-custom-recovery-methods.conf \
		--namespace customized_recovery_flow_opts

	# Same with policy.conf
	mkdir -p $(CURDIR)/debian/masakari-common/etc/masakari/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/masakari-common/etc/masakari/policy.d/00_default_policy.yaml \
		--format yaml \
		--namespace masakari

	# Use the policy.d folder
	pkgos-fix-config-default $(CURDIR)/debian/masakari-common/usr/share/masakari-common/masakari.conf oslo_policy policy_dirs /etc/masakari/policy.d

	dh_install
	rm -rf $(CURDIR)/debian/tmp/usr/etc
	dh_missing --fail-missing

#	# Installing the other config files.
#	for i in api-paste.ini ; do \
#		install -D -m 0664 etc/masakari/$$i $(CURDIR)/debian/masakari-common/usr/share/masakari-common/$$i ; \
#	done

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/masakari-doc/usr/share/doc/masakari-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## masakari 12.0.0

=== debian/changelog ===
masakari (12.0.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 12.x.
  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 07 Oct 2021 07:32:41 +0000

masakari (11.0.1+git2021090814.8f1da00-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 09 Sep 2021 07:59:57 +0000

masakari (11.0.0+git2021072117.f2e830f-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 17:06:09 -0400

masakari (11.0.0+git2021061112.1ed2b1f-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 11 Jun 2021 12:51:42 +0000

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/masakari/ masakari-(12\.\d.*)\.tar\.gz

## masakari 13.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

iso8601>=0.1.11 # MIT
jsonschema>=3.2.0 # MIT
keystoneauth1>=3.4.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0
WebOb>=1.7.1 # MIT
microversion-parse>=0.2.1 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.db>=4.44.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=3.6.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.upgradecheck>=1.3.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.versionedobjects>=1.31.2 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
SQLAlchemy>=1.2.19 # MIT
SQLAlchemy-Utils>=0.33.10 # Apache-2.0
taskflow>=2.16.0 # Apache-2.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -8,3 +8,6 @@
 
 # releasenotes
 reno>=3.1.0 # Apache-2.0
+
+# PDF Docs
+sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD

=== debian/changelog ===
masakari (13.0.0-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 13.x.
  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Mar 2022 20:59:10 -0400

masakari (12.0.0+git2022030313.1a67234-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Mar 2022 13:51:47 -0500

masakari (12.0.0+git2021120910.6a15818-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Dec 2021 10:57:58 -0500

=== debian/control ===
Source: masakari
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Corey Bryant <corey.bryant@canonical.com>
Build-Depends:
 apache2-dev,
 debhelper-compat (= 12),
 dh-apache2,
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 crudini,
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.0.1),
 python3-hacking (>= 1.1.0),
 python3-iso8601 (>= 0.1.11),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-microversion-parse (>= 0.2.1),
 python3-novaclient (>= 2:9.1.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-openstacksdk (>= 0.35.0),
 python3-os-api-ref (>= 1.4.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.44.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslosphinx (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pbr (>= 2.0.0),
 python3-pep8 (>= 1.5.7),
 python3-psycopg2 (>= 2.8),
 python3-pymysql (>= 0.7.6),
 python3-requests-mock (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sqlalchemy (>= 1.2.19),
 python3-sqlalchemy-utils (>= 0.33.10),
 python3-stestr (>= 1.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-taskflow (>= 2.16.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.7.1),
 subunit,
 testrepository,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/masakari
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/masakari
Homepage: https://github.com/openstack/masakari
Testsuite: autopkgtest-pkg-python

Package: masakari-api
Architecture: all
Section: python
Depends:
 apache2 | httpd,
 libapache2-mod-wsgi-py3,
 python3-masakari (= ${source:Version}),
 ${misc:Depends},
Description: Virtual Machine High Availability (VMHA) for OpenStack - API Server
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides
 API service for manage and control the automated rescue mechanism.
 .
 This package contains the Masakari API Server.

Package: masakari-common
Architecture: all
Section: python
Depends:
 adduser,
 ${misc:Depends},
Description: Virtual Machine High Availability (VMHA) for OpenStack - Common Files
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides
 API service for manage and control the automated rescue mechanism.
 .
 This package contains common files.

Package: masakari-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
Recommends:
 libjs-jquery,
Description: Virtual Machine High Availability (VMHA) for OpenStack - Documentation
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides
 API service for manage and control the automated rescue mechanism.
 .
 This package contains the Masakari documentation.

Package: masakari-engine
Architecture: all
Section: python
Depends:
 python3-masakari (= ${source:Version}),
 ${misc:Depends},
Description: Virtual Machine High Availability (VMHA) for OpenStack - Engine
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides
 API service for manage and control the automated rescue mechanism.
 .
 This package contains the Masakari Engine.

Package: python3-masakari
Architecture: all
Depends:
 masakari-common (= ${source:Version}),
 python3-babel (>= 2.3.4),
 python3-iso8601 (>= 0.1.11),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-microversion-parse (>= 0.2.1),
 python3-novaclient (>= 2:9.1.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.44.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.2.19),
 python3-sqlalchemy-utils (>= 0.33.10),
 python3-stevedore (>= 1:1.20.0),
 python3-taskflow (>= 2.16.0),
 python3-webob (>= 1:1.7.1),
 ${misc:Depends},
 ${python3:Depends},
Description: Virtual Machine High Availability (VMHA) for OpenStack - Python 3
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides
 API service for manage and control the automated rescue mechanism.
 .
 This package contains the Python 3 module.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/masakari/ masakari-(13\.\d.*)\.tar\.gz

## masakari 13.0.3

=== debian/changelog ===
masakari (13.0.3-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Thu, 02 Oct 2025 10:29:10 +0000

masakari (13.0.0-2) unstable; urgency=medium

  * Autopkgtest: do not run TestWSGIService tests, which are failing in the
    test env for autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2022 10:15:58 +0200

masakari (13.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2022 22:30:19 +0200

masakari (13.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Mar 2022 11:02:39 +0200

masakari (13.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Mar 2022 21:55:06 +0100

masakari (12.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 17:36:38 +0200

masakari (12.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fix 00_default_policy.yaml.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 10:37:33 +0200

masakari (12.0.0~rc1-1) experimental; urgency=medium

  * Fixed UPSTREAM_GIT to point to opendev.
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 15 Sep 2021 13:39:54 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,6 @@
 #!/usr/bin/make -f
 
+UPSTREAM_GIT := https://opendev.org/openstack/masakari.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
@@ -66,6 +67,9 @@
 		--format yaml \
 		--namespace masakari
 
+	# Comment out deprecated policies
+	sed -i 's/^"/#"/' $(CURDIR)/debian/masakari-common/etc/masakari/policy.d/00_default_policy.yaml
+
 	# Use the policy.d folder
 	pkgos-fix-config-default $(CURDIR)/debian/masakari-common/usr/share/masakari-common/masakari.conf oslo_policy policy_dirs /etc/masakari/policy.d

## masakari 14.0.0

=== debian/changelog ===
masakari (14.0.0-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 14.x.
  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 15:18:48 -0400

masakari (13.0.0+git2022091213.6773fa9-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 13:14:56 -0400

masakari (13.0.0+git2022071414.c3fc0c2-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.
  * d/masakari-common.postinst: CIS hardening update to switch adduser to use
    /usr/sbin/nologin when creating system account that does not run a shell.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2022 14:14:02 -0400

masakari (13.0.0+git2022060212.c3fc0c2-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jun 2022 12:48:35 -0400

## masakari 14.0.2

=== requirements.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
 oslo.policy>=3.6.0 # Apache-2.0
 oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
 oslo.upgradecheck>=1.3.0 # Apache-2.0
-oslo.utils>=3.33.0 # Apache-2.0
+oslo.utils>=4.7.0 # Apache-2.0
 oslo.versionedobjects>=1.31.2 # Apache-2.0
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 python-novaclient>=9.1.0 # Apache-2.0
@@ -26,3 +26,4 @@
 SQLAlchemy>=1.2.19 # MIT
 SQLAlchemy-Utils>=0.33.10 # Apache-2.0
 taskflow>=2.16.0 # Apache-2.0
+tooz>=2.10.1 # Apache-2.0

=== debian/changelog ===
masakari (14.0.2-2) unstable; urgency=medium

  * Build-depends on openstack-pkg-tools (>= 123~).

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Apr 2023 14:19:37 +0200

masakari (14.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Feb 2023 09:03:01 +0100

masakari (14.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Oct 2022 23:22:06 +0200

masakari (14.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Sep 2022 18:07:06 +0200

masakari (14.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Sep 2022 10:09:21 +0200

=== debian/control ===
Source: masakari
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 123~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Build-Depends-Indep:
 python3-coverage,
 python3-ddt,
 python3-hacking,
 python3-iso8601,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-microversion-parse,
 python3-mock,
 python3-novaclient,
 python3-openstacksdk,
 python3-os-api-ref,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.service,
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.7.0),
 python3-oslo.versionedobjects,
 python3-oslotest,
 python3-pbr,
 python3-psycopg2,
 python3-pymysql,
 python3-requests-mock,
 python3-sqlalchemy,
 python3-sqlalchemy-utils,
 python3-stestr,
 python3-stevedore,
 python3-taskflow,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-tooz,
 python3-webob,
 subunit,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/masakari
Vcs-Git: https://salsa.debian.org/openstack-team/services/masakari.git
Homepage: https://opendev.org/openstack/masakari

Package: masakari-api
Architecture: all
Depends:
 adduser,
 masakari-common (= ${binary:Version}),
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Virtual Machine High Availability (VMHA) - API Server
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides API service for
 manage and control the automated rescue mechanism.
 .
 This package contains the Masakari API Server.

Package: masakari-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-masakari (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Virtual Machine High Availability (VMHA) - common files
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides API service for
 manage and control the automated rescue mechanism.
 .
 This package contains common files for Masakari.

Package: masakari-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Virtual Machine High Availability (VMHA) - doc
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides API service for
 manage and control the automated rescue mechanism.
 .
 This package contains the documentation.

Package: masakari-engine
Architecture: all
Depends:
 adduser,
 masakari-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Virtual Machine High Availability (VMHA) - API Server
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides API service for
 manage and control the automated rescue mechanism.
 .
 This package contains the Masakari API Server.

Package: python3-masakari
Architecture: all
Section: python
Depends:
 python3-iso8601,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-microversion-parse,
 python3-novaclient,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.service,
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.7.0),
 python3-oslo.versionedobjects,
 python3-pbr,
 python3-sqlalchemy,
 python3-sqlalchemy-utils,
 python3-stevedore,
 python3-taskflow,
 python3-tooz,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Virtual Machine High Availability (VMHA) - Python files
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides API service for
 manage and control the automated rescue mechanism.
 .
 This package contains the Python files and libraries.

=== debian/rules ===
--- 
+++ 
@@ -58,6 +58,7 @@
 
 	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
 		--output-file $(CURDIR)/debian/masakari-common/usr/share/masakari-common/masakari-custom-recovery-methods.conf \
+		--wrap-width 140 \
 		--namespace customized_recovery_flow_opts
 
 	# Same with policy.conf

## masakari 14.0.3

=== debian/changelog ===
masakari (14.0.3-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-zed.infomaniak.ch>  Fri, 26 Sep 2025 08:10:05 +0000

masakari (14.0.2-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 14:41:31 +0200

## masakari 15.0.0

=== debian/changelog ===
masakari (15.0.0-0ubuntu1~cloud0) jammy-antelope; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 24 Mar 2023 01:36:02 +0000

masakari (15.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 14:50:16 -0400

masakari (14.0.2+git2023030309.3e1b8513-0ubuntu1) lunar; urgency=medium

  * d/watch: Drop major version.
  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 03 Mar 2023 09:28:44 -0500

masakari (14.0.2+git2023011010.324fe6e6-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 10:02:27 -0500

## masakari 15.0.0+git2023071214.bad1f2fe

=== debian/changelog ===
masakari (15.0.0+git2023071214.bad1f2fe-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jul 2023 14:34:26 -0400

masakari (15.0.0+git2023061415.c6afc1bc-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream snapshot for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Jun 2023 15:08:14 -0400

## masakari 16.0.0

=== requirements.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 oslo.config>=5.2.0 # Apache-2.0
 oslo.context>=2.19.2 # Apache-2.0
 oslo.db>=4.44.0 # Apache-2.0
-oslo.messaging>=5.29.0 # Apache-2.0
+oslo.messaging>=14.1.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
 oslo.middleware>=3.31.0 # Apache-2.0

=== debian/changelog ===
masakari (16.0.0-2) unstable; urgency=medium

  * Add do-not-use-assertDictContainsSubset.patch (Closes: #1058212).
  * Blacklist HackingTestCase.test_no_os_popen.

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 Dec 2023 23:20:49 +0100

masakari (16.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Added python3-migrate as (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2023 11:04:54 +0200

masakari (16.0.0~rc1-2) experimental; urgency=medium

  * Add Fix_compatability_with_new_oslo.messaging.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Sep 2023 16:39:51 +0200

masakari (16.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Sep 2023 17:19:20 +0200

masakari (15.0.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1049053).

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Aug 2023 13:59:46 +0200

masakari (15.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Jun 2023 09:02:47 +0200

masakari (15.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Mar 2023 14:15:04 +0100

masakari (15.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bookworm.
  * Fixed (build-)depends for this release.
  * Removed lsb-base depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Mar 2023 16:58:33 +0100

=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,11 @@
 
 override_dh_auto_clean:
 	rm -f debian/*.init debian/*.service debian/*.upstart
-	rm -rf build
-	rm -rf masakari.sqlite
+	rm -rf masakari.sqlite doc/source/_static/*.sample debian/po
 	rm -f debian/masakari-api.postinst debian/masakari-api.config debian/masakari-common.postinst debian/masakari-common.config debian/masakari-common.postrm
+	rm -rf build .stestr *.egg-info debian/*.templates
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func masakari-api.postinst
@@ -35,7 +37,7 @@
 	rm -rf $(CURDIR)/debian/tmp/usr/etc
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 'masakari\.tests\.unit.*'
+	pkgos-dh_auto_test --no-py2 'masakari\.tests\.unit\.(?!test_hacking\.HackingTestCase\.test_no_os_popen)'
 endif
 
 	# Generate the masakari.conf config

## masakari 16.0.1

=== debian/changelog ===
masakari (16.0.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New usptream release.
  * Removed Fix_compatability_with_new_oslo.messaging.patch applied upstream.
  * Removed part that's editing tox.ini in:
    - sqla2.0-test-Enable_SQLAlchemy_2.0_deprecation_warnings.patch

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-bobcat.debian.net>  Tue, 30 Sep 2025 13:32:40 +0000

masakari (16.0.0-3) unstable; urgency=medium

  * Add SQLAlchemy 2.0 support applying upstream patches:
    - sqla2.0-db_remove_configurable_backend.patch
    - sqla2.0-db_add_initial_alembic_configuration.patch
    - sqla2.0-db_write_up_for_auto-generation.patch
    - sqla2.0-db_add_initial_alembic_migration.patch
    - sqla2.0-db_Sync_alembic_sqlalchemy-migrate_migrations.patch
    - sqla2.0-db_tests_Validate_number_of_rows_before_purging.patch
    - sqla2.0-db_migrate_to_alembic.patch
    - sqla2.0-db_remove_legacy_migration.patch
    - sqla2.0-test-Enable_SQLAlchemy_2.0_deprecation_warnings.patch
    - sqla2.0-tests_Resolve_various_warnings.patch
    - sqla2.0-db_dont_pass_strings_to_connection.exectute.patch
    - sqla2.0-db_dont_use_strings_to_indicate_paths.patch
    - sqla2.0-db_dont_use_legacy_select_calling_stype.patch
    - sqla2.0-db-dont-rely-on-implicit-autocommit.patch
  * Blacklist TestObjectVersions.test_versions().

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Feb 2024 13:14:31 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  debhelper-compat (= 11),
  dh-python,
- openstack-pkg-tools (>= 123~),
+ openstack-pkg-tools,
  po-debconf,
  python3-all,
  python3-pbr,
@@ -23,6 +23,7 @@
  python3-keystoneauth1,
  python3-keystonemiddleware,
  python3-microversion-parse,
+ python3-migrate,
  python3-mock,
  python3-novaclient,
  python3-openstacksdk,
@@ -32,12 +33,12 @@
  python3-oslo.db,
  python3-oslo.i18n,
  python3-oslo.log,
- python3-oslo.messaging,
+ python3-oslo.messaging (>= 14.1.0),
  python3-oslo.middleware,
- python3-oslo.policy (>= 3.6.0),
+ python3-oslo.policy,
  python3-oslo.service,
- python3-oslo.upgradecheck (>= 1.3.0),
- python3-oslo.utils (>= 4.7.0),
+ python3-oslo.upgradecheck,
+ python3-oslo.utils,
  python3-oslo.versionedobjects,
  python3-oslotest,
  python3-pbr,
@@ -70,7 +71,6 @@
  q-text-as-data,
  uwsgi-plugin-python3,
  ${misc:Depends},
- ${ostack-lsb-base},
  ${python3:Depends},
 Description: OpenStack Virtual Machine High Availability (VMHA) - API Server
  Masakari provides Virtual Machine High Availability (VMHA) service for
@@ -120,7 +120,6 @@
  adduser,
  masakari-common (= ${binary:Version}),
  ${misc:Depends},
- ${ostack-lsb-base},
  ${python3:Depends},
 Description: OpenStack Virtual Machine High Availability (VMHA) - API Server
  Masakari provides Virtual Machine High Availability (VMHA) service for
@@ -140,18 +139,19 @@
  python3-keystoneauth1,
  python3-keystonemiddleware,
  python3-microversion-parse,
+ python3-migrate,
  python3-novaclient,
  python3-oslo.config,
  python3-oslo.context,
  python3-oslo.db,
  python3-oslo.i18n,
  python3-oslo.log,
- python3-oslo.messaging,
+ python3-oslo.messaging (>= 14.1.0),
  python3-oslo.middleware,
- python3-oslo.policy (>= 3.6.0),
+ python3-oslo.policy,
  python3-oslo.service,
- python3-oslo.upgradecheck (>= 1.3.0),
- python3-oslo.utils (>= 4.7.0),
+ python3-oslo.upgradecheck,
+ python3-oslo.utils,
  python3-oslo.versionedobjects,
  python3-pbr,
  python3-sqlalchemy,

=== debian/rules ===
--- 
+++ 
@@ -37,7 +37,7 @@
 	rm -rf $(CURDIR)/debian/tmp/usr/etc
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 'masakari\.tests\.unit\.(?!test_hacking\.HackingTestCase\.test_no_os_popen)'
+	pkgos-dh_auto_test --no-py2 'masakari\.tests\.unit\.(?!test_hacking\.HackingTestCase\.test_no_os_popen|objects\.test_objects\.TestObjectVersions\.test_versions)'
 endif
 
 	# Generate the masakari.conf config
